Qt Reference Documentation

# Q3ColorDrag Class Reference

The Q3ColorDrag class provides a drag and drop object for transferring colors between widgets. More...

     #include <Q3ColorDrag>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: Q3StoredDrag.

- List of all members, including inherited members

## Public Functions

| Q3ColorDrag ( const QColor & col, QWidget * dragsource = 0, const char * name = 0 )
| Q3ColorDrag ( QWidget * dragsource = 0, const char * name = 0 )
void | setColor ( const QColor & color )

- 3 public functions inherited from Q3StoredDrag
- 9 public functions inherited from Q3DragObject
- 29 public functions inherited from QObject
- 3 public functions inherited from QMimeSource

## Static Public Members

bool | canDecode ( QMimeSource * source )
bool | decode ( QMimeSource * source, QColor & color )

- 1 static public member inherited from Q3DragObject
- 7 static public members inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 protected function inherited from Q3DragObject
- 8 protected functions inherited from QObject

## Detailed Description

The Q3ColorDrag class provides a drag and drop object for transferring colors between widgets.

This class provides a drag object which can be used to transfer data about colors for drag and drop and in the clipboard. For example, it is used in QColorDialog.

The color is set in the constructor but can be changed with setColor().

For more information about drag and drop, see the Q3DragObject class and the drag and drop documentation.

## Member Function Documentation

### Q3ColorDrag::Q3ColorDrag ( const QColor & col, QWidget * dragsource = 0, const char * name = 0 )

Constructs a color drag object with the given col. Passes dragsource and name to the Q3StoredDrag constructor.

### Q3ColorDrag::Q3ColorDrag ( QWidget * dragsource = 0, const char * name = 0 )

Constructs a color drag object with a white color. Passes dragsource and name to the Q3StoredDrag constructor.

### bool Q3ColorDrag::canDecode ( QMimeSource * source )`[static]`

Returns true if the color drag object can decode the MIME source; otherwise returns false.

### bool Q3ColorDrag::decode ( QMimeSource * source, QColor & color )`[static]`

Decodes the MIME source, and sets the decoded values to the given color. Returns true if the decoding is successful. Returns false if the size of the encoded data is not the expected size.

### void Q3ColorDrag::setColor ( const QColor & color )

Sets the color of the color drag.